# WOK
TKWOK
WOKBuilder

# WOKBuilder_MSTool Class Reference

`#include <WOKBuilder_MSTool.hxx>`

Inheritance diagram for WOKBuilder_MSTool:

[legend]

## Public Member Functions

Standard_EXPORT void | SetMSchema (const Handle(WOKBuilder_MSchema)&aschema)
Standard_EXPORT Handle_WOKBuilder_MSchema | MSchema () const
virtual Standard_EXPORT WOKBuilder_BuildStatus | Execute ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Handle_WOKBuilder_MSchema | GetMSchema ()

## Protected Member Functions

Standard_EXPORT | WOKBuilder_MSTool (const Handle(TCollection_HAsciiString)&aname, const WOKUtils_Param &params)

## Private Attributes

Handle_WOKBuilder_MSchema | myschema

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_MSTool::WOKBuilder_MSTool | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const WOKUtils_Param & | params
| ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT WOKBuilder_BuildStatus WOKBuilder_MSTool::Execute | ( |  | ) | `[virtual]`

| Implements WOKBuilder_Tool. Reimplemented in WOKBuilder_MSExtractor, and WOKBuilder_MSTranslator.

static Standard_EXPORT Handle_WOKBuilder_MSchema WOKBuilder_MSTool::GetMSchema | ( |  | ) | `[static]`

Standard_EXPORT const WOKBuilder_MSTool::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKBuilder_ToolInProcess. Reimplemented in WOKBuilder_MSClientExtractor, WOKBuilder_MSEngineExtractor, WOKBuilder_MSExtractor, WOKBuilder_MSHeaderExtractor, WOKBuilder_MSJiniExtractor, WOKBuilder_MSServerExtractor, WOKBuilder_MSTemplateExtractor, WOKBuilder_MSTranslator, WOKDFLT_MSDFLTExtractor, WOKOBJS_MSSchExtractor, and WOKOrbix_IDLTranslator.

Standard_EXPORT Handle_WOKBuilder_MSchema WOKBuilder_MSTool::MSchema | ( |  | ) | const

Standard_EXPORT void WOKBuilder_MSTool::SetMSchema | ( | const Handle(WOKBuilder_MSchema)& | aschema | ) |

## Field Documentation

Handle_WOKBuilder_MSchema WOKBuilder_MSTool::myschema `[private]`

The documentation for this class was generated from the following file:

- WOKBuilder_MSTool.hxx